<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/filter_root_bg"
    android:orientation="vertical"
    android:paddingLeft="50dp"
    android:paddingRight="50dp"
    tools:context=".activity.SearchActivity">

    <include layout="@layout/view_titlebar" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_marginHorizontal="220dp"
        android:layout_marginTop="40dp"
        android:background="@drawable/search_bg"
        android:focusable="true"
        android:focusableInTouchMode="true"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingHorizontal="20dp">

        <EditText
            android:id="@+id/et_search"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:textColorHint="@color/add_download_info_background"
            android:textColor="@color/alivc_common_bg_black"
            android:background="@null"
            android:hint="输入您要搜索的课程或老师" />

        <ImageView
            android:id="@+id/iv_search"
            android:layout_width="25dp"
            android:layout_height="25dp"
            android:src="@drawable/search_icon" />

    </LinearLayout>

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="40dp"
        android:text="历史搜索记录"
        android:textColor="@color/textview_filter_uncheck" />

    <com.beanpodtech.allinone.widget.flowlayout.TagFlowLayout
        android:id="@+id/tfl_history"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="-10dp"
        android:layout_marginTop="40dp"
        app:max_select="1" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="40dp"
        android:orientation="horizontal">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="热门课程推荐"
            android:textColor="@color/textview_filter_uncheck" />

        <TextView
            android:id="@+id/tv_change"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="换一批"
            android:textColor="@color/textview_filter_uncheck" />
    </LinearLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/id_recyclerview"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="40dp"
        android:layout_marginRight="-20px"
        android:dividerHeight="10dp" />
</LinearLayout>